#include <Duinoedu_Esp8266.h>

Duinoedu_Esp8266 MonEsp;
ESP8266WebServer server ( 80 );
int inter1;
String Auteur="";
void handleXML(){
  server.send(200,"text/xml",buildXML());
}
String College="";

void setup()
{
  MonEsp.connect_AP_SetIP("WEMOS D1 ILOT1","12345678",IPAddress (192,168,4,1),IPAddress (255,255,255,0),IPAddress (192,168,4,15));//The command will only work if the password length is 8 characters or more.
  server.on ( "/", handleRoot );
  server.begin();  
  Serial.println ( "HTTP server started" );
  pinMode( D4 , OUTPUT);
  server.on ( "/xml", handleXML );
}

void handleRoot(){

  MonEsp.updateStringint(&server,"inter1", inter1);


  server.send ( 200, "text/html", getPage() );
  delay(10);
}

String buildJavascript(){
  String javaScript=MonEsp.javaScript_start();
  javaScript+="document.getElementById('Auteur').innerHTML = this.responseXML.getElementsByTagName('Auteur')[0].childNodes[0].nodeValue\n";
  javaScript+="document.getElementById('College').innerHTML = this.responseXML.getElementsByTagName('College')[0].childNodes[0].nodeValue\n";
  javaScript+=MonEsp.javaScript_end();
  return javaScript;
}

String buildXML(){
  String XML="<?xml version='1.0'?><inputs>"; 
  XML+="<Auteur>";
  XML+=Auteur;
  XML+="</Auteur>";
  XML+="<College>";
  XML+=College;
  XML+="</College>";
  XML+="</inputs>";
  return XML;
}

String getPage(){
#define PAGE_EXIST
  String  page = "<!DOCTYPE html><html><head><meta charset='ISO-8859-15'>";
  page += "<title>DUINOEDU - www.duinoedu.com</title></head>";
  page += MonEsp.addPhoneStyle();
  page += "<BODY onload='process()'>";        
  page += "<h2>ALLUMER UNE LED D4 EN WIFI</h2>";
  page += MonEsp.javaslider();
  page += MonEsp.slider(0,1,"inter1""");
  page += buildJavascript();
  page += "Auteur = <A class=value id='Auteur'></A><hr>";
  page += buildJavascript();
  page += "College = <A class=value id='College'></A><hr>";
  page += "</body>";
  page += "</html>";
  return page;
}

void loop()
{
#ifdef PAGE_EXIST
  server.handleClient();
  delay(10);
#endif
  digitalWrite(D4 , inter1);
  Auteur="PERENNES Philippe";
  College="LE CLOS TARDIF SAINT JAMES";
}
